/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontractinfo.entity;


import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;

import java.util.List;

/**
 * 合同评价表Entity
 * @author 杨帆
 * @version 2018-03-23
 */
public class WorkContractReview extends DataEntity<WorkContractReview> {
	
	private static final long serialVersionUID = 1L;
	private String contractId;		// 合同id
	private String contractName;		// 合同id
	private String timeRequirements;		// 时间要求
	private String specialRequirements;		// 特殊要求
	private String isLegitimate;		// 客户要求是否合法
	private String credibility;		// 客户诚信度的初步判断
	private String preliminaryRiskAssessmen;		// 风险初步评价
	private String serviceObjectIndustry;		// 被服务对象所处行业环境
	private String isProperAcquisition;		// 与服务有关的客户资料能否恰当获取
	private String isUserQualified;		// 人员是否能专业胜任
	private String isExternalExpertPower;		// 是否需要借助外部专家力量
	private String isEquipmentMeetRequirements;		// 设备能否满足项目要求
	private String isTimeMeetRequirements;		// 时间能否满足客户需求
	private String isContractSignature;		// 合同是否可以签定
	private List<WorkClientAttachment> workAttachments = Lists.newArrayList();
	
	public WorkContractReview() {
		super();
	}

	public WorkContractReview(String id){
		super(id);
	}

	@ExcelField(title="合同id", align=2, sort=7)
	public String getContractId() {
		return contractId;
	}

	public void setContractId(String contractId) {
		this.contractId = contractId;
	}
	
	@ExcelField(title="时间要求", align=2, sort=8)
	public String getTimeRequirements() {
		return timeRequirements;
	}

	public void setTimeRequirements(String timeRequirements) {
		this.timeRequirements = timeRequirements;
	}
	
	@ExcelField(title="特殊要求", align=2, sort=9)
	public String getSpecialRequirements() {
		return specialRequirements;
	}

	public void setSpecialRequirements(String specialRequirements) {
		this.specialRequirements = specialRequirements;
	}
	
	@ExcelField(title="客户要求是否合法", dictType="", align=2, sort=10)
	public String getIsLegitimate() {
		return isLegitimate;
	}

	public void setIsLegitimate(String isLegitimate) {
		this.isLegitimate = isLegitimate;
	}
	
	@ExcelField(title="客户诚信度的初步判断", dictType="", align=2, sort=11)
	public String getCredibility() {
		return credibility;
	}

	public void setCredibility(String credibility) {
		this.credibility = credibility;
	}
	
	@ExcelField(title="风险初步评价", dictType="", align=2, sort=12)
	public String getPreliminaryRiskAssessmen() {
		return preliminaryRiskAssessmen;
	}

	public void setPreliminaryRiskAssessmen(String preliminaryRiskAssessmen) {
		this.preliminaryRiskAssessmen = preliminaryRiskAssessmen;
	}
	
	@ExcelField(title="被服务对象所处行业环境", dictType="", align=2, sort=13)
	public String getServiceObjectIndustry() {
		return serviceObjectIndustry;
	}

	public void setServiceObjectIndustry(String serviceObjectIndustry) {
		this.serviceObjectIndustry = serviceObjectIndustry;
	}
	
	@ExcelField(title="与服务有关的客户资料能否恰当获取", dictType="", align=2, sort=14)
	public String getIsProperAcquisition() {
		return isProperAcquisition;
	}

	public void setIsProperAcquisition(String isProperAcquisition) {
		this.isProperAcquisition = isProperAcquisition;
	}
	
	@ExcelField(title="人员是否能专业胜任", dictType="", align=2, sort=15)
	public String getIsUserQualified() {
		return isUserQualified;
	}

	public void setIsUserQualified(String isUserQualified) {
		this.isUserQualified = isUserQualified;
	}
	
	@ExcelField(title="是否需要借助外部专家力量", dictType="", align=2, sort=16)
	public String getIsExternalExpertPower() {
		return isExternalExpertPower;
	}

	public void setIsExternalExpertPower(String isExternalExpertPower) {
		this.isExternalExpertPower = isExternalExpertPower;
	}
	
	@ExcelField(title="设备能否满足项目要求", dictType="", align=2, sort=17)
	public String getIsEquipmentMeetRequirements() {
		return isEquipmentMeetRequirements;
	}

	public void setIsEquipmentMeetRequirements(String isEquipmentMeetRequirements) {
		this.isEquipmentMeetRequirements = isEquipmentMeetRequirements;
	}
	
	@ExcelField(title="时间能否满足客户需求", dictType="", align=2, sort=18)
	public String getIsTimeMeetRequirements() {
		return isTimeMeetRequirements;
	}

	public void setIsTimeMeetRequirements(String isTimeMeetRequirements) {
		this.isTimeMeetRequirements = isTimeMeetRequirements;
	}
	
	@ExcelField(title="合同是否可以签定", dictType="", align=2, sort=19)
	public String getIsContractSignature() {
		return isContractSignature;
	}

	public void setIsContractSignature(String isContractSignature) {
		this.isContractSignature = isContractSignature;
	}

	public List<WorkClientAttachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<WorkClientAttachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public String getContractName() {
		return contractName;
	}

	public void setContractName(String contractName) {
		this.contractName = contractName;
	}
}